Subject: bug#37461: define-generic doesn't promote equal? to generic

From: Rob Browning <[email-masked]>
Date: Thu, 19 Sep 2019 18:27:56 -0500

Rob Browning <[email-masked]> writes:

> You can work around the problem by stashing equal? somewhere else, and
> then define-generic will work after a (define equal? #f).  Presumably
> you'd then need to define a base specialization using the original
> equal? or do something equivalent.

It looks like while this works within a module, I haven't figured out
any workaround that allows the module to present the resulting generic
equal? to code that uses the module.

A re-export doesn't affect the module using the re-exporter, and export
and replace both fail with "Unbound variable: equal?", even though
there's a (define equal?  ...)  in the module.

-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4